Subject: bug#12314: 24.2.50; `add-to-history': use `setq' with `delete'

From: Stefan Monnier <[email-masked]>
Date: Mon, 10 Sep 2012 11:01:01 -0400

>> See my other message: I think we are talking about 2 different
>> things.  My gripe was only about using the term "destructive
>> modification", which muddies the waters without gaining anything.
> I don't know, to me "destructive modification" sounds like a very clear
> term explaining the general kind of danger we're up against (the kind
> that's summarized in Scheme by adding a "!" at the end of the
> identifier).

This said, we could use some other "equivalent" term, such as "side
effect", "imperative", "impure", ...

        Stefan